language stringclasses 1
value | owner stringlengths 2 15 | repo stringlengths 2 21 | sha stringlengths 45 45 | message stringlengths 7 36.3k | path stringlengths 1 199 | patch stringlengths 15 102k | is_multipart bool 2
classes |
|---|---|---|---|---|---|---|---|
Other | Homebrew | brew | 4ed9efd99520f96a2db03e9ce861a41e64f16633.json | Move lmutil to homebrew-binary
Closes Homebrew/homebrew#24843. | Library/Homebrew/tap_migrations.rb | @@ -13,4 +13,5 @@
'boost149' => 'homebrew/versions',
'aimage' => 'homebrew/boneyard',
'cmucl' => 'homebrew/binary',
+ 'lmutil' => 'homebrew/binary',
} | false |
Other | Homebrew | brew | 06bf1c0f0201d24f480c5fa3488f9bc57abf7858.json | Implement MacOS.dev_tools_prefix a different way
Avoid producing a dev_tools_path of "//usr/bin".
Fixes Homebrew/homebrew#24751.
Closes Homebrew/homebrew#24754. | Library/Homebrew/os/mac.rb | @@ -51,24 +51,22 @@ def locate tool
end
def dev_tools_prefix
- @dev_tools_prefix ||= if tools_in_prefix? CLT::MAVERICKS_PKG_PATH
- Pathname.new CLT::MAVERICKS_PKG_PATH
+ dev_tools_path.parent.parent
+ end
+
+ def dev_tools_path
+ @dev_tools_path ||= if tools_in_prefix? CLT::MAVER... | false |
Other | Homebrew | brew | acd2bd07387beb78159c4ff53b1a445253a644fa.json | Move cmucl to homebrew-binary | Library/Homebrew/tap_migrations.rb | @@ -12,4 +12,5 @@
'drizzle' => 'homebrew/boneyard',
'boost149' => 'homebrew/versions',
'aimage' => 'homebrew/boneyard',
+ 'cmucl' => 'homebrew/binary',
} | false |
Other | Homebrew | brew | 0c97642979f7f7e42bf81448af7601662ecf8c3d.json | Move aimage to boneyard
No longer maintained; homepage suggests alternatives.
Closes Homebrew/homebrew#24728. | Library/Homebrew/tap_migrations.rb | @@ -11,4 +11,5 @@
'librets' => 'homebrew/boneyard',
'drizzle' => 'homebrew/boneyard',
'boost149' => 'homebrew/versions',
+ 'aimage' => 'homebrew/boneyard',
} | false |
Other | Homebrew | brew | 0581532fdc68fc5b624cfa32b49c21552c90b4c2.json | Require Formula before using it | Library/Homebrew/extend/ENV/shared.rb | @@ -1,3 +1,5 @@
+require 'formula'
+
module SharedEnvExtension
CC_FLAG_VARS = %w{CFLAGS CXXFLAGS OBJCFLAGS OBJCXXFLAGS}
FC_FLAG_VARS = %w{FCFLAGS FFLAGS} | false |
Other | Homebrew | brew | 8ba503ebb612b6e5c276d8f3adf9ec5ce02db161.json | resource: convert unpack target to Pathname. | Library/Homebrew/resource.rb | @@ -62,6 +62,7 @@ def unpack(target=nil)
if block_given?
yield self
elsif target
+ target = Pathname.new(target) unless target.is_a? Pathname
target.install Dir['*']
end
end | false |
Other | Homebrew | brew | 9773b9e8bffb5e4529ad3a48923582b69ce7c29b.json | bottle: write bottle version in commit message. | Library/Homebrew/cmd/bottle.rb | @@ -208,7 +208,7 @@ def merge
update_or_add = has_bottle_block ? 'update' : 'add'
safe_system 'git', 'commit', formula_path, '-m',
- "#{f.name}: #{update_or_add} bottle."
+ "#{f.name}: #{update_or_add} #{f.version} bottle."
end
end
exit 0 | false |
Other | Homebrew | brew | 85f424b270e32d43b1695727ab621c274bb5166a.json | SoftwareSpec: set resource version when missing
Closes Homebrew/homebrew#24695. | Library/Homebrew/software_spec.rb | @@ -27,7 +27,10 @@ def initialize
def owner= owner
@name = owner.name
@resource.owner = self
- resources.each_value { |r| r.owner = self }
+ resources.each_value do |r|
+ r.owner = self
+ r.version ||= version
+ end
end
def url val=nil, specs={} | false |
Other | Homebrew | brew | 435e29385773030324c181b3b16d9cf438ef0634.json | tap_migrations: add opencv (even although old). | Library/Homebrew/tap_migrations.rb | @@ -1,5 +1,6 @@
TAP_MIGRATIONS = {
'octave' => 'homebrew/science',
+ 'opencv' => 'homebrew/science',
'grads' => 'homebrew/binary',
'denyhosts' => 'homebrew/boneyard',
'ipopt' => 'homebrew/science', | false |
Other | Homebrew | brew | 6675fd88fc3421711ea021287deb4aae8c6206f4.json | Fix some unanchored patch URLs | Library/Homebrew/cmd/audit.rb | @@ -282,7 +282,7 @@ def audit_specs
def audit_patches
Patches.new(f.patches).select(&:external?).each do |p|
case p.url
- when %r[raw\.github\.com], %r[gist\.github\.com/raw]
+ when %r[raw\.github\.com], %r[gist\.github\.com/raw], %r[gist\.github\.com/.+/raw$]
unless p.url =~ /[a-fA-F0... | false |
Other | Homebrew | brew | 3ef1a9241de6ebc611456ae4728b53c8b295202d.json | Redact boost149 from core
boost149 does not build with 10.9, so remove it from core along with two
formulae that do not build with the latest version of Boost.
Closes Homebrew/homebrew#23696. | Library/Homebrew/tap_migrations.rb | @@ -7,4 +7,7 @@
'blackbox' => 'homebrew/boneyard',
'libgtextutils' => 'homebrew/science',
'syslog-ng' => 'homebrew/boneyard',
+ 'librets' => 'homebrew/boneyard',
+ 'drizzle' => 'homebrew/boneyard',
+ 'boost149' => 'homebrew/versions,
} | false |
Other | Homebrew | brew | be08993a79a8d616b8719e364833e1f235d32127.json | Avoid globals when ivars will do | Library/ENV/4.3/cc | @@ -25,9 +25,13 @@ end
LOGGER = Logger.new
class Cmd
+ attr_reader :brewfix, :sdkroot
+
def initialize path, args
@arg0 = File.basename(path).freeze
@args = args.freeze
+ @brewfix = ENV['HOMEBREW_PREFIX']
+ @sdkroot = ENV['HOMEBREW_SDKROOT']
end
def mode
if @arg0 == 'cpp' or @arg0 == ... | true |
Other | Homebrew | brew | be08993a79a8d616b8719e364833e1f235d32127.json | Avoid globals when ivars will do | Library/ENV/libsuperenv.rb | @@ -20,6 +20,3 @@ def to_flags prefix
select { |path| File.directory? path }.uniq.map { |path| prefix + path }
end
end
-
-$brewfix = ENV['HOMEBREW_PREFIX']
-$sdkroot = ENV['HOMEBREW_SDKROOT'] | true |
Other | Homebrew | brew | a40a0e1862b134f5282eb4487444566ac7fb88ba.json | Remove some monkeypatches | Library/ENV/4.3/cc | @@ -40,7 +40,7 @@ end
class Cmd
def initialize path, args
- @arg0 = path.basename.freeze
+ @arg0 = File.basename(path).freeze
@args = args.freeze
end
def mode | true |
Other | Homebrew | brew | a40a0e1862b134f5282eb4487444566ac7fb88ba.json | Remove some monkeypatches | Library/ENV/4.3/xcrun | @@ -4,19 +4,21 @@
# But many build-systems expect it to work. This fixes that.
# NOTE only works if the build-tool calls xcrun without a path prefixed!
-require "#{File.dirname __FILE__}/../libsuperenv"
-SUPERBIN = __FILE__.dirname.cleanpath.freeze
+dirname = File.dirname(__FILE__)
+require "#{dirname}/../libsupere... | true |
Other | Homebrew | brew | a40a0e1862b134f5282eb4487444566ac7fb88ba.json | Remove some monkeypatches | Library/ENV/libsuperenv.rb | @@ -6,22 +6,18 @@
$:.unshift "/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8"
class String
- def directory?; File.directory? self end
- def basename; File.basename self end
def cleanpath; require 'pathname'; Pathname.new(self).realpath.to_s rescue self end
def chuzzle; s = chomp; s ... | true |
Other | Homebrew | brew | 8c613e618b6a2205981baa6017075a65ecc6c04e.json | Use grep instead of select + match | Library/ENV/4.3/cc | @@ -204,7 +204,7 @@ class Cmd
end
def cpath
cpath = ENV['CMAKE_PREFIX_PATH'].split(':').map{|d| "#{d}/include" } + ENV['CMAKE_INCLUDE_PATH'].split(':')
- opt = cpath.select{|prefix| prefix =~ %r{^#$brewfix/opt} }
+ opt = cpath.grep(%r{^#$brewfix/opt})
sys = cpath - opt
[sys, opt]
end | false |
Other | Homebrew | brew | de9b1845e0ed60317067482681f9491bb94cc4cb.json | Remove uses of -no-cpp-precomp | Library/ENV/4.3/cc | @@ -126,7 +126,7 @@ class Cmd
args << '-m32' if cccfg? '3'
when /^-g\d?/, /^-gstabs\d+/, '-gstabs+', /^-ggdb\d?/, '-gdwarf-2',
/^-march=.+/, /^-mtune=.+/, /^-mcpu=.+/, '-m64',
- /^-O[0-9zs]?$/, '-fast',
+ /^-O[0-9zs]?$/, '-fast', '-no-cpp-precomp',
'-pedantic'... | false |
Other | Homebrew | brew | e0d24922474f2a10b82b8dede1b54552ed72ebed.json | Move optimization flag selection out of cc wrapper
The mapping of architectures to optimization flags is now retrieved from
Hardware::CPU and the selected flags are passed as an environmen
variable, rather than duplicated in the cc wrapper and re-calculated on
every invocation of the compiler.
Closes Homebrew/homebre... | Library/ENV/4.3/cc | @@ -184,22 +184,7 @@ class Cmd
def optflags
args = []
args << "-#{ENV['HOMEBREW_OPTIMIZATION_LEVEL']}"
-
- # When bottling use the oldest supported CPU type.
- if cccfg? 'bc'
- # Custom bottle specified during the build
- args << ENV['HOMEBREW_ARCHFLAGS']
- elsif cccfg? 'bi6'
- args... | true |
Other | Homebrew | brew | e0d24922474f2a10b82b8dede1b54552ed72ebed.json | Move optimization flag selection out of cc wrapper
The mapping of architectures to optimization flags is now retrieved from
Hardware::CPU and the selected flags are passed as an environmen
variable, rather than duplicated in the cc wrapper and re-calculated on
every invocation of the compiler.
Closes Homebrew/homebre... | Library/Homebrew/extend/ENV/std.rb | @@ -343,7 +343,7 @@ def set_cpu_flags flags, default=DEFAULT_FLAGS, map=Hardware::CPU.optimization_f
if ARGV.build_bottle?
arch = ARGV.bottle_arch || Hardware.oldest_cpu
- append flags, Hardware::CPU.optimization_flags[arch]
+ append flags, Hardware::CPU.optimization_flags.fetch(arch)
else
... | true |
Other | Homebrew | brew | e0d24922474f2a10b82b8dede1b54552ed72ebed.json | Move optimization flag selection out of cc wrapper
The mapping of architectures to optimization flags is now retrieved from
Hardware::CPU and the selected flags are passed as an environmen
variable, rather than duplicated in the cc wrapper and re-calculated on
every invocation of the compiler.
Closes Homebrew/homebre... | Library/Homebrew/extend/ENV/super.rb | @@ -76,30 +76,19 @@ def setup_build_environment(formula=nil)
self['HOMEBREW_SDKROOT'] = "#{MacOS.sdk_path}" if MacOS::Xcode.without_clt?
self['HOMEBREW_DEVELOPER_DIR'] = determine_developer_dir # used by our xcrun shim
self['HOMEBREW_VERBOSE'] = "1" if ARGV.verbose?
+ self['HOMEBREW_OPTFLAGS'] = deter... | true |
Other | Homebrew | brew | 78f9b23218a45fd5d5b2237741b0b2bb89dca66b.json | brew-bundle: clarify path requirements.
Closes Homebrew/homebrew#24463.
Signed-off-by: Mike McQuaid <mike@mikemcquaid.com> | Library/Contributions/cmd/brew-bundle.rb | @@ -5,8 +5,8 @@
# Looks for a Brewfile and runs each line as a brew command.
#
# brew bundle # Looks for "./Brewfile"
-# brew bundle path/to/dir # Looks for "./path/to/dir/Brewfile"
-# brew bundle path/to/file # Looks for "./path/to/file"
+# brew bundle path/to/dir # Looks for "path/to/dir/Brewfile"
+... | false |
Other | Homebrew | brew | 5f58cd9e5370b59c5209988f3f4672226c47adec.json | Move libgtextutils to homebrew-science
Closes Homebrew/homebrew#23972. | Library/Homebrew/tap_migrations.rb | @@ -5,4 +5,5 @@
'ipopt' => 'homebrew/science',
'qfits' => 'homebrew/boneyard',
'blackbox' => 'homebrew/boneyard',
+ 'libgtextutils' -> 'homebrew/science',
} | false |
Other | Homebrew | brew | 1f190890fd60f9e66aeaf71c4c42473334cc514a.json | Implement inferred CVS dependency
Fixes Homebrew/homebrew#24444.
Closes Homebrew/homebrew#24445.
Closes Homebrew/homebrew#24458. | Library/Homebrew/dependency_collector.rb | @@ -165,6 +165,8 @@ def resource_dep(spec, tags)
Dependency.new("fossil", tags)
when strategy <= BazaarDownloadStrategy
Dependency.new("bazaar", tags)
+ when strategy <= CVSDownloadStrategy
+ Dependency.new("cvs", tags) if MacOS.version >= :mavericks
when strategy < AbstractDownloadStrat... | true |
Other | Homebrew | brew | 1f190890fd60f9e66aeaf71c4c42473334cc514a.json | Implement inferred CVS dependency
Fixes Homebrew/homebrew#24444.
Closes Homebrew/homebrew#24445.
Closes Homebrew/homebrew#24458. | Library/Homebrew/download_strategy.rb | @@ -591,6 +591,15 @@ def checkout_submodules(dst)
end
class CVSDownloadStrategy < VCSDownloadStrategy
+ def cvspath
+ @path ||= %W[
+ /usr/bin/cvs
+ #{HOMEBREW_PREFIX}/bin/cvs
+ #{HOMEBREW_PREFIX}/opt/cvs/bin/cvs
+ #{which("cvs")}
+ ].find { |p| File.executable? p }
+ end
+
def cach... | true |
Other | Homebrew | brew | b7060ebc438acb84664cf91c5bba7e60c1961566.json | Move blackbox to the boneyard
Closes Homebrew/homebrew#24370. | Library/Homebrew/tap_migrations.rb | @@ -4,4 +4,5 @@
'denyhosts' => 'homebrew/boneyard',
'ipopt' => 'homebrew/science',
'qfits' => 'homebrew/boneyard',
+ 'blackbox' => 'homebrew/boneyard',
} | false |
Other | Homebrew | brew | c201d1a976c50a8e24b9e70fabed408c0b857c50.json | Move qfits to the boneyard | Library/Homebrew/tap_migrations.rb | @@ -2,5 +2,6 @@
'octave' => 'homebrew/science',
'grads' => 'homebrew/binary',
'denyhosts' => 'homebrew/boneyard',
- 'ipopt' => 'homebrew/science'
+ 'ipopt' => 'homebrew/science',
+ 'qfits' => 'homebrew/boneyard',
} | false |
Other | Homebrew | brew | 268787e76db6d2a5cd26024728bc319e29de99b0.json | Fix incorrect reference to prefix in manpage
Closes Homebrew/homebrew#24420. | Library/Contributions/manpages/brew.1.md | @@ -73,7 +73,7 @@ Note that these flags should only appear after a command.
and version, but if it fails, you'll have to make your own template. The wget
formula serves as a simple example. For a complete cheat-sheet, have a look at
- `$(brew --prefix)/Library/Contributions/example-formula.rb`
+ `$(br... | true |
Other | Homebrew | brew | 268787e76db6d2a5cd26024728bc319e29de99b0.json | Fix incorrect reference to prefix in manpage
Closes Homebrew/homebrew#24420. | share/man/man1/brew.1 | @@ -79,7 +79,7 @@ Show a list of built\-in and external commands\.
Generate a formula for the downloadable file at \fIURL\fR and open it in the editor\. Homebrew will attempt to automatically derive the formula name and version, but if it fails, you\'ll have to make your own template\. The wget formula serves as a sim... | true |
Other | Homebrew | brew | e4da435995364d4582672b4f62a0440bb2944401.json | Remove outdated TODOs | Library/ENV/4.3/cc | @@ -1,10 +1,5 @@
#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby -W0
-#TODO make it work with homebrew/dupes/gcc
-#TODO? If we find -mmacosx-version-min=10.8, change sdkroot? warn visibly if no such SDK?
-#TODO fix pkg-config files, should point to /usr/local or /usr/local/opt
-#TODO create mec... | false |
Other | Homebrew | brew | f465c781d876362bc85d0cb00903242fb9852607.json | Write debug log in non-verbose mode | Library/ENV/4.3/cc | @@ -263,10 +263,7 @@ class Cmd
LOGGER.puts "superenv added: #{adds*' '}" unless adds.empty?
end
def make_fuss?
- verbose? and cccfg? 'O' and not configure?
- end
- def verbose?
- !ENV['VERBOSE'].nil? || !ENV['HOMEBREW_VERBOSE'].nil?
+ cccfg? 'O' and not configure?
end
def configure?
... | false |
Other | Homebrew | brew | 040d655d8d23a6f90003f7c8e15574ab8d2aea1d.json | add lib/dtrace to non-owned directories | Library/Homebrew/keg.rb | @@ -139,6 +139,7 @@ def link mode=OpenStruct.new
# pkg-config database gets explicitly created
when 'pkgconfig' then :mkpath
# lib/language folders also get explicitly created
+ when 'dtrace' then :mkpath
when /^gdk-pixbuf/ then :mkpath
when 'ghc' then :mkpath
when 'lua' t... | false |
Other | Homebrew | brew | de12583bb81a2752951d3bba633a8b13094069c3.json | brew-bundle: add path support.
Closes Homebrew/homebrew#24384.
Signed-off-by: Mike McQuaid <mike@mikemcquaid.com> | Library/Contributions/cmd/brew-bundle.rb | @@ -1,17 +1,33 @@
# brew-bundle.rb
-# Looks for a "Brewfile" in the current directory and runs each line
-# as a brew command.
+#
+# Usage: brew bundle [path]
+#
+# Looks for a Brewfile and runs each line as a brew command.
+#
+# brew bundle # Looks for "./brewfile"
+# brew bundle path/to/dir # Looks for... | false |
Other | Homebrew | brew | ed7693cecf677a5e55a450be2065168e4ebefdb7.json | brew-pull: run `git am --abort` on failure. | Library/Contributions/cmd/brew-pull.rb | @@ -48,7 +48,7 @@ def tap arg
revision = `git rev-parse --short HEAD`.strip
ohai 'Applying patch'
- patch_args = ['am']
+ patch_args = []
patch_args << '--signoff' unless ARGV.include? '--clean'
# Normally we don't want whitespace errors, but squashing them can break
# patches so an option is provide... | false |
Other | Homebrew | brew | 674d041d804be070c5a6836ae03ce573c68ece84.json | Move brew-leaves into core
Closes Homebrew/homebrew#24371. | Library/Contributions/cmd/brew-leaves.rb | @@ -1,29 +0,0 @@
-# Outputs formulae that are installed but are not a dependency for
-# any other installed formula.
-# See: http://github.com/mxcl/homebrew/issues/issue/1438
-
-require 'formula'
-require 'set'
-require 'tab'
-
-installed = Formula.installed
-deps_of_installed = Set.new
-
-installed.each do |f|
- deps... | true |
Other | Homebrew | brew | 674d041d804be070c5a6836ae03ce573c68ece84.json | Move brew-leaves into core
Closes Homebrew/homebrew#24371. | Library/Contributions/manpages/brew.1.md | @@ -197,6 +197,9 @@ Note that these flags should only appear after a command.
If `--git` is passed, Homebrew will create a Git repository, useful for
creating patches to the software.
+ * `leaves`:
+ Show installed formulae that are not dependencies of another installed formula.
+
* `ln`, `link [--ov... | true |
Other | Homebrew | brew | 674d041d804be070c5a6836ae03ce573c68ece84.json | Move brew-leaves into core
Closes Homebrew/homebrew#24371. | Library/Homebrew/cmd/leaves.rb | @@ -0,0 +1,29 @@
+require 'formula'
+require 'tab'
+require 'set'
+
+module Homebrew extend self
+ def leaves
+ installed = Formula.installed
+ deps_of_installed = Set.new
+
+ installed.each do |f|
+ deps = []
+
+ f.deps.each do |dep|
+ if dep.optional? || dep.recommended?
+ tab = Ta... | true |
Other | Homebrew | brew | 674d041d804be070c5a6836ae03ce573c68ece84.json | Move brew-leaves into core
Closes Homebrew/homebrew#24371. | share/man/man1/brew.1 | @@ -218,6 +218,10 @@ Download and patch \fIformula\fR, then open a shell\. This allows the user to ru
If \fB\-\-git\fR is passed, Homebrew will create a Git repository, useful for creating patches to the software\.
.
.TP
+\fBleaves\fR
+Show installed formulae that are not dependencies of another installed formula\.
... | true |
Other | Homebrew | brew | b1f8358fa8940806f489b0d571f5d83b20ddec57.json | Combine X11 path conditionals | Library/Homebrew/extend/ENV/super.rb | @@ -182,11 +182,10 @@ def determine_cmake_frameworks_path
def determine_cmake_include_path
sdk = MacOS.sdk_path if MacOS::Xcode.without_clt?
paths = []
- paths << "#{MacOS::X11.include}/freetype2" if x11?
paths << "#{sdk}/usr/include/libxml2" unless deps.include? 'libxml2'
paths << "#{sdk}/usr... | false |
Other | Homebrew | brew | ba0cfd3582702aa957edf37338c4e8f3391c65bf.json | Improve heuristic for detecting configure | Library/ENV/4.3/cc | @@ -262,8 +262,8 @@ class Cmd
!ENV['VERBOSE'].nil? || !ENV['HOMEBREW_VERBOSE'].nil?
end
def configure?
- # configure scripts generated with autoconf 2.56 or later export DUALCASE
- ENV.key? 'DUALCASE'
+ # configure scripts generated with autoconf 2.61 or later export as_nl
+ ENV.key? 'as_nl'
e... | true |
Other | Homebrew | brew | ba0cfd3582702aa957edf37338c4e8f3391c65bf.json | Improve heuristic for detecting configure | Library/Homebrew/extend/ENV/super.rb | @@ -53,9 +53,9 @@ def reset
delete('GREP_OPTIONS') # can break CMake
delete('CLICOLOR_FORCE') # autotools doesn't like this
- # Configure scripts generated by autoconf 2.56 or later export DUALCASE,
- # which we use as a heuristic for running under configure
- delete('DUALCASE')
+ # Configure sc... | true |
Other | Homebrew | brew | 07b7abdc7af25677a895825fbeaa13bbfd221635.json | Add some missing test cases for `brew update` | Library/Homebrew/test/fixtures/updater_fixture.yaml | @@ -31,3 +31,19 @@ update_git_diff_output_with_tapped_formulae_changes: |
:100644 100644 741f11dcd29ec909a94fa54df4bcdd2c1d5bb47b 7535134e865994e8ad66ba02a924a1e6c1271b9e A Library/Taps/someuser-sometap/HomebrewFormula/lua.rb
:100644 100644 741f11dcd29ec909a94fa54df4bcdd2c1d5bb47b 7535134e865994e8ad66ba02a924a1e6... | true |
Other | Homebrew | brew | 07b7abdc7af25677a895825fbeaa13bbfd221635.json | Add some missing test cases for `brew update` | Library/Homebrew/test/test_updater.rb | @@ -90,4 +90,15 @@ def test_update_homebrew_with_tapped_formula_changes
Pathname('someuser-sometap/custom-formula.rb'),
], @report.tapped_formula_for(:A)
end
+
+ def test_update_homebrew_with_removed_formulae
+ perform_update(fixture('update_git_diff_output_with_removed_formulae'))
+ assert @updat... | true |
Other | Homebrew | brew | bb67a2020660765589ed3c3610a3e787f9c695e0.json | Add ant wrapper to superenv
Closes Homebrew/homebrew#24285.
Refs Homebrew/homebrew#22199. | Library/ENV/4.3/ant | @@ -0,0 +1,5 @@
+#!/bin/bash
+export HOMEBREW_CCCFG="O$HOMEBREW_CCCFG"
+ant=/usr/bin/ant
+[ -x "$ant" ] || ant="$(${HOMEBREW_BREW_FILE} --prefix ant)/bin/ant"
+exec "$ant" "$@" | false |
Other | Homebrew | brew | 0b793e321ee3b2984185f93178103b38db21369e.json | Add ENV.O0 to stdenv | Library/Homebrew/extend/ENV/std.rb | @@ -138,6 +138,10 @@ def O1
remove_from_cflags(/-O./)
append_to_cflags '-O1'
end
+ def O0
+ remove_from_cflags(/-O./)
+ append_to_cflags '-O0'
+ end
def gcc_4_0_1
# we don't use locate because gcc 4.0 has not been provided since Xcode 4 | false |
Other | Homebrew | brew | 16d242970376e6944191a038b3b259c0ecfb29d1.json | Extract archflags method from cflags method | Library/ENV/4.3/cc | @@ -185,7 +185,7 @@ class Cmd
args << '-march=native' if tool =~ /clang/
end
- ENV['HOMEBREW_ARCHS'].split(',').each { |a| args << "-arch" << a } if cccfg? 'u'
+ args.concat(archflags)
args << "-std=#{@arg0}" if @arg0 =~ /c[89]9/
args
end
@@ -196,6 +196,11 @@ class Cmd
args << '-st... | false |
Other | Homebrew | brew | 81bf8a168ada914ec47ca5b37a9fe44f8d797fea.json | audit generic binary names
Binaries with names like 'run' or 'service' are likely to conflict.
Warn about these and suggest a libexec-style install instead. | Library/Homebrew/cmd/audit.rb | @@ -562,7 +562,9 @@ def audit_installed
audit_check_output(check_jars)
audit_check_output(check_non_libraries)
audit_check_output(check_non_executables(f.bin))
+ audit_check_output(check_generic_executables(f.bin))
audit_check_output(check_non_executables(f.sbin))
+ audit_check_output(check_ge... | true |
Other | Homebrew | brew | 81bf8a168ada914ec47ca5b37a9fe44f8d797fea.json | audit generic binary names
Binaries with names like 'run' or 'service' are likely to conflict.
Warn about these and suggest a libexec-style install instead. | Library/Homebrew/formula_cellar_checks.rb | @@ -89,4 +89,21 @@ def check_non_executables bin
EOS
]
end
+
+ def check_generic_executables bin
+ return unless bin.directory?
+ generics = bin.children.select { |g| g.to_s =~ /\/(run|service)$/}
+ return if generics.empty?
+
+ ["Generic binaries were installed to \"#{bin}\".",
+ <<-EO... | true |
Other | Homebrew | brew | 81bf8a168ada914ec47ca5b37a9fe44f8d797fea.json | audit generic binary names
Binaries with names like 'run' or 'service' are likely to conflict.
Warn about these and suggest a libexec-style install instead. | Library/Homebrew/formula_installer.rb | @@ -499,11 +499,13 @@ def print_check_output warning_and_description
def audit_bin
print_check_output(check_PATH(f.bin)) unless f.keg_only?
print_check_output(check_non_executables(f.bin))
+ print_check_output(check_generic_executables(f.bin))
end
def audit_sbin
print_check_output(check_PAT... | true |
Other | Homebrew | brew | c95c32fbb081d277ce943f65143b234c09582f8e.json | Remove outdated comment | Library/Homebrew/extend/ENV/super.rb | @@ -290,7 +290,6 @@ def noop(*args); end
set_cpu_flags
macosxsdk remove_macosxsdk].each{|s| alias_method s, :noop }
-### DEPRECATE THESE
def deparallelize
delete('MAKEFLAGS')
end | false |
Other | Homebrew | brew | 8939857600c58e6e2134fad51cc4de2d69fd6dc3.json | info: decorate deps to show installed status?
* shows green tick if installed or red cross if not
* only highlight dependency if HOMEBREW_NO_EMOJI is set
Closes Homebrew/homebrew#18922.
Signed-off-by: Mike McQuaid <mike@mikemcquaid.com> | Library/Homebrew/cmd/info.rb | @@ -122,7 +122,7 @@ def info_formula f
ohai "Dependencies"
%w{build required recommended optional}.map do |type|
deps = f.deps.send(type)
- puts "#{type.capitalize}: #{deps*', '}" unless deps.empty?
+ puts "#{type.capitalize}: #{decorate_dependencies deps}" unless deps.empty?
... | false |
Other | Homebrew | brew | 6f8692ba4d17edbb8a6018fb7d4c05f0956b42b6.json | brew-bundle: add new command to support Brewfiles.
Closes Homebrew/homebrew#24107.
Signed-off-by: Mike McQuaid <mike@mikemcquaid.com> | Library/Contributions/cmd/brew-bundle.rb | @@ -0,0 +1,17 @@
+# Looks for a Brewfile and runs each line as a brew command. For example:
+#
+# tap foo/bar
+# install spark
+#
+# Saving the above commands in a Brewfile and running `brew bundle` will run
+# the commands `brew tap foo/bar` and `brew install spark` automagically.
+#
+# Current discussion: https://git... | false |
Other | Homebrew | brew | 42b54150af9b74fc4b14577f4538e663a51731a7.json | Pass optimization and arch flags during configure
Closes Homebrew/homebrew#24106. | Library/ENV/4.3/cc | @@ -163,9 +163,9 @@ class Cmd
def cflags
args = []
- return args unless cccfg? 'O'
-
- args << '-pipe' << '-w' << '-Os'
+ args << '-pipe'
+ args << '-w' unless configure?
+ args << '-Os'
# When bottling use the oldest supported CPU type.
if cccfg? 'bc' | false |
Other | Homebrew | brew | 4cbaeb6d61f10db1abcb3f844c3bc234107732c5.json | Clarify XQuartz warning
Closes Homebrew/homebrew#24094. | Library/Homebrew/cmd/doctor.rb | @@ -1081,19 +1081,26 @@ def check_xcode_license_approved
end
def check_for_latest_xquartz
- quartz = MacOS::XQuartz.version
- return unless quartz
+ return unless MacOS::XQuartz.installed?
return if MacOS::XQuartz.provided_by_apple?
- quartz = Version.new(quartz)
- latest = Version.new(Mac... | false |
Other | Homebrew | brew | 90c696ea6714c4aad1a279e4e77b6811c08f0847.json | xcode: fix nil outdated comparison. | Library/Homebrew/os/mac/xcode.rb | @@ -197,6 +197,7 @@ def latest_version
def outdated?
version = `/usr/bin/clang --version`[%r{clang-(\d+\.\d+\.\d+)}, 1]
+ return true unless version
version < latest_version
end
| false |
Other | Homebrew | brew | f426fdd4fb017791fc143f6491914bd3ce4587f5.json | superenv: add shims for gcc4.{3-9}. | Library/ENV/4.3/g++-4.3 | @@ -0,0 +1 @@
+cc
\ No newline at end of file | true |
Other | Homebrew | brew | f426fdd4fb017791fc143f6491914bd3ce4587f5.json | superenv: add shims for gcc4.{3-9}. | Library/ENV/4.3/g++-4.4 | @@ -0,0 +1 @@
+cc
\ No newline at end of file | true |
Other | Homebrew | brew | f426fdd4fb017791fc143f6491914bd3ce4587f5.json | superenv: add shims for gcc4.{3-9}. | Library/ENV/4.3/g++-4.5 | @@ -0,0 +1 @@
+cc
\ No newline at end of file | true |
Other | Homebrew | brew | f426fdd4fb017791fc143f6491914bd3ce4587f5.json | superenv: add shims for gcc4.{3-9}. | Library/ENV/4.3/g++-4.6 | @@ -0,0 +1 @@
+cc
\ No newline at end of file | true |
Other | Homebrew | brew | f426fdd4fb017791fc143f6491914bd3ce4587f5.json | superenv: add shims for gcc4.{3-9}. | Library/ENV/4.3/g++-4.7 | @@ -0,0 +1 @@
+cc
\ No newline at end of file | true |
Other | Homebrew | brew | f426fdd4fb017791fc143f6491914bd3ce4587f5.json | superenv: add shims for gcc4.{3-9}. | Library/ENV/4.3/g++-4.8 | @@ -0,0 +1 @@
+cc
\ No newline at end of file | true |
Other | Homebrew | brew | f426fdd4fb017791fc143f6491914bd3ce4587f5.json | superenv: add shims for gcc4.{3-9}. | Library/ENV/4.3/g++-4.9 | @@ -0,0 +1 @@
+cc
\ No newline at end of file | true |
Other | Homebrew | brew | f426fdd4fb017791fc143f6491914bd3ce4587f5.json | superenv: add shims for gcc4.{3-9}. | Library/ENV/4.3/gcc-4.3 | @@ -0,0 +1 @@
+cc
\ No newline at end of file | true |
Other | Homebrew | brew | f426fdd4fb017791fc143f6491914bd3ce4587f5.json | superenv: add shims for gcc4.{3-9}. | Library/ENV/4.3/gcc-4.4 | @@ -0,0 +1 @@
+cc
\ No newline at end of file | true |
Other | Homebrew | brew | f426fdd4fb017791fc143f6491914bd3ce4587f5.json | superenv: add shims for gcc4.{3-9}. | Library/ENV/4.3/gcc-4.5 | @@ -0,0 +1 @@
+cc
\ No newline at end of file | true |
Other | Homebrew | brew | f426fdd4fb017791fc143f6491914bd3ce4587f5.json | superenv: add shims for gcc4.{3-9}. | Library/ENV/4.3/gcc-4.6 | @@ -0,0 +1 @@
+cc
\ No newline at end of file | true |
Other | Homebrew | brew | f426fdd4fb017791fc143f6491914bd3ce4587f5.json | superenv: add shims for gcc4.{3-9}. | Library/ENV/4.3/gcc-4.7 | @@ -0,0 +1 @@
+cc
\ No newline at end of file | true |
Other | Homebrew | brew | f426fdd4fb017791fc143f6491914bd3ce4587f5.json | superenv: add shims for gcc4.{3-9}. | Library/ENV/4.3/gcc-4.8 | @@ -0,0 +1 @@
+cc
\ No newline at end of file | true |
Other | Homebrew | brew | f426fdd4fb017791fc143f6491914bd3ce4587f5.json | superenv: add shims for gcc4.{3-9}. | Library/ENV/4.3/gcc-4.9 | @@ -0,0 +1 @@
+cc
\ No newline at end of file | true |
Other | Homebrew | brew | 466cc33bf323430a9dfa24fa126028a7d2a42f85.json | Add pkgutil version for XQuartz 2.7.5_rc4 | Library/Homebrew/os/mac/xquartz.rb | @@ -19,6 +19,7 @@ module XQuartz
"2.7.50" => "2.7.5_rc1",
"2.7.51" => "2.7.5_rc2",
"2.7.52" => "2.7.5_rc3",
+ "2.7.53" => "2.7.5_rc4",
}.freeze
# This returns the version number of XQuartz, not of the upstream X.org. | false |
Other | Homebrew | brew | a82276b2cbc007f75d4aa7d9e332a7cd3e9a241c.json | Add Xcode 5.0.2 to compiler map
Fixes Homebrew/homebrew#24018. | Library/Homebrew/os/mac.rb | @@ -243,6 +243,7 @@ def preferred_arch
"4.6.3" => { :llvm_build => 2336, :clang => "4.2", :clang_build => 425 },
"5.0" => { :clang => "5.0", :clang_build => 500 },
"5.0.1" => { :clang => "5.0", :clang_build => 500 },
+ "5.0.2" => { :clang => "5.0", :clang_build => 500 },
}
def co... | false |
Other | Homebrew | brew | 0c523da706b381b3a72df46794cda75aacdcfc35.json | Dependency: tighten equality check | Library/Homebrew/dependency.rb | @@ -17,12 +17,9 @@ def to_s
end
def ==(other)
- name == other.name
- end
-
- def eql?(other)
instance_of?(other.class) && name == other.name
end
+ alias_method :eql?, :==
def hash
name.hash | false |
Other | Homebrew | brew | 6c3ee52d14e54f5cb23438c3ec4a1b57a1e60e80.json | Remove special cases in build-time dep audit
Closes Homebrew/homebrew#23931. | Library/Homebrew/cmd/audit.rb | @@ -151,11 +151,7 @@ def audit_deps
case dep.name
when *BUILD_TIME_DEPS
- next if dep.build?
- next if dep.name == 'autoconf' && f.name =~ /automake/
- next if dep.name == 'libtool' && %w{imagemagick libgphoto2 libp11 libextractor}.any? { |n| f.name == n }
- next if dep.name ... | true |
Other | Homebrew | brew | 6c3ee52d14e54f5cb23438c3ec4a1b57a1e60e80.json | Remove special cases in build-time dep audit
Closes Homebrew/homebrew#23931. | Library/Homebrew/dependency_collector.rb | @@ -132,14 +132,15 @@ def x11_dep(spec, tags)
end
def autotools_dep(spec, tags)
- unless MacOS::Xcode.provides_autotools?
- case spec
- when :libltdl then spec = :libtool
- else tags << :build
- end
+ return if MacOS::Xcode.provides_autotools?
- Dependency.new(spec.to_s, tags)
+... | true |
Other | Homebrew | brew | c556b3dc09b130ab431e55e2752a8a3a479040d7.json | Add explicit "run" dependency tag | Library/Homebrew/dependable.rb | @@ -1,7 +1,7 @@
require 'options'
module Dependable
- RESERVED_TAGS = [:build, :optional, :recommended]
+ RESERVED_TAGS = [:build, :optional, :recommended, :run]
def build?
tags.include? :build
@@ -15,6 +15,10 @@ def recommended?
tags.include? :recommended
end
+ def run?
+ tags.include? :r... | false |
Other | Homebrew | brew | a2d9271bda21ebdc30cb9ab9f40e79b793a2a6f8.json | Remove intermediate exception in Formula#system
Now that ErrorDuringExecution is only raised in one place, we can just
raise the BuildError directly instead. | Library/Homebrew/formula.rb | @@ -609,11 +609,9 @@ def system cmd, *args
f.puts
require 'cmd/--config'
Homebrew.write_build_config(f)
- raise ErrorDuringExecution
+ raise BuildError.new(self, cmd, args, $?)
end
end
- rescue ErrorDuringExecution
- raise BuildError.new(self, cmd, args, $?)
e... | false |
Other | Homebrew | brew | aafae73cf980b59c34a7ec9c13a4ed6adc6180b3.json | Fix regression in `brew deps`
The default mode is intended to display recursive dependencies, with the
`--1` flag to display only one level. | Library/Homebrew/cmd/deps.rb | @@ -21,7 +21,7 @@ def deps
puts_deps_tree ARGV.formulae
else
raise FormulaUnspecifiedError if ARGV.named.empty?
- all_deps = deps_for_formulae(ARGV.formulae, ARGV.one?)
+ all_deps = deps_for_formulae(ARGV.formulae, !ARGV.one?)
all_deps.sort! unless mode.topo_order?
puts all_de... | false |
Other | Homebrew | brew | 6fc6dd791badba63e708623c6db5ecd3d8cb4ac6.json | stdenv: drop space between "-isystem" and path.
* This is consistent with superenv. | Library/Homebrew/extend/ENV/std.rb | @@ -41,7 +41,7 @@ def setup_build_environment(formula=nil)
unless HOMEBREW_PREFIX.to_s == '/usr/local'
# /usr/local is already an -isystem and -L directory so we skip it
- self['CPPFLAGS'] = "-isystem #{HOMEBREW_PREFIX}/include"
+ self['CPPFLAGS'] = "-isystem#{HOMEBREW_PREFIX}/include"
se... | false |
Other | Homebrew | brew | a4d630003db107b6671c5702a020ccf43b5d078f.json | Add pkgutil version for XQuartz 2.7.5_rc3 | Library/Homebrew/os/mac/xquartz.rb | @@ -18,6 +18,7 @@ module XQuartz
"2.7.43" => "2.7.4",
"2.7.50" => "2.7.5_rc1",
"2.7.51" => "2.7.5_rc2",
+ "2.7.52" => "2.7.5_rc3",
}.freeze
# This returns the version number of XQuartz, not of the upstream X.org. | false |
Other | Homebrew | brew | fd254c3874ad949af9ad3d6510611a31ebc9bc47.json | bottle: improve written bottle output. | Library/Homebrew/cmd/bottle.rb | @@ -200,15 +200,16 @@ def merge
else
formula_path = HOMEBREW_REPOSITORY+formula_relative_path
end
+ has_bottle_block = f.class.send(:bottle).checksums.any?
inreplace formula_path do |s|
- if f.bottle
- s.gsub!(/ bottle do.+?end\n/m, output)
+ if... | false |
Other | Homebrew | brew | c20f6395bbadef014f78e774e1526fecf2c12bfc.json | bottle: improve relocatable debugging.
* When Homebrew developer mode is enabled, if a bottle is not found to
be relocatable attempt to explain why
* Print out paths of each file that still contains the string search for
* If the string searched for was found in an executable, check to see
if `otool` can explain t... | Library/Homebrew/cmd/bottle.rb | @@ -5,6 +5,8 @@
require 'cmd/versions'
require 'utils/inreplace'
require 'erb'
+require 'open3'
+require 'extend/pathname'
class BottleMerger < Formula
# This provides a URL and Version which are the only needed properties of
@@ -42,7 +44,46 @@ class << self
end
def keg_contains string, keg
- quiet_... | false |
Other | Homebrew | brew | 37e2005e792a9f6d3e7597e06eb4dc9bb822b5b9.json | Use HOMEBREW_LOGS more consistently. | Library/Homebrew/cmd/doctor.rb | @@ -381,8 +381,7 @@ def check_access_#{d.sub("/", "_")}
end
def check_access_logs
- folder = Pathname.new('~/Library/Logs/Homebrew')
- if folder.exist? and not folder.writable_real?
+ if HOMEBREW_LOGS.exist? and not HOMEBREW_LOGS.writable_real?
<<-EOS.undent
#{folder} isn't writable.
This can ... | true |
Other | Homebrew | brew | 37e2005e792a9f6d3e7597e06eb4dc9bb822b5b9.json | Use HOMEBREW_LOGS more consistently. | Library/Homebrew/exceptions.rb | @@ -200,7 +200,7 @@ def dump
Homebrew.dump_build_env(env)
puts
onoe "#{formula.name} did not build"
- unless (logs = Dir["#{ENV['HOME']}/Library/Logs/Homebrew/#{formula}/*"]).empty?
+ unless (logs = Dir["#{HOMEBREW_LOGS}/#{formula}/*"]).empty?
puts "Logs:"
puts logs.map{... | true |
Other | Homebrew | brew | 80c7a80a46a75b85fddb5429ca073b0210e4b389.json | Remove duplicate test | Library/Homebrew/test/test_bottle_tag.rb | @@ -48,13 +48,6 @@ def test_tag_leopard_ppc_64
assert_equal :leopard_g5_64, bottle_tag
end
- def test_tag_leopard_intel
- MacOS.stubs(:version).returns(MacOS::Version.new("10.5"))
- Hardware::CPU.stubs(:type).returns(:intel)
- MacOS.stubs(:prefer_64_bit?).returns(false)
- assert_equal :leopard, b... | false |
Other | Homebrew | brew | 655c6f79b435364cfaf23808f0e5650e3a6d0f72.json | Hardware::CPU: add extmodel helper | Library/Homebrew/os/mac/hardware.rb | @@ -68,6 +68,10 @@ def family
end
end
+ def extmodel
+ @extmodel ||= `/usr/sbin/sysctl -n machdep.cpu.extmodel`.to_i
+ end
+
def cores
@cores ||= `/usr/sbin/sysctl -n hw.ncpu`.to_i
end | false |
Other | Homebrew | brew | a28b57d3fb84a618d07cb636c387423d1ebbb850.json | git-etc: remove all code.
I've given up on this; too many edge cases.
If someone else wants to pick it up then send me a message and I'll walk
you through the approach. | Library/Homebrew/formula.rb | @@ -169,10 +169,7 @@ def etc; (HOMEBREW_PREFIX+'etc').extend(InstallRenamed) end
# generally we don't want var stuff inside the keg
def var; HOMEBREW_PREFIX+'var' end
- def bash_completion
- etc = ENV['HOMEBREW_GIT_ETC'] ? self.etc : prefix+'etc'
- etc+'bash_completion.d'
- end
+ def bash_completion; p... | true |
Other | Homebrew | brew | a28b57d3fb84a618d07cb636c387423d1ebbb850.json | git-etc: remove all code.
I've given up on this; too many edge cases.
If someone else wants to pick it up then send me a message and I'll walk
you through the approach. | Library/Homebrew/formula_installer.rb | @@ -73,76 +73,6 @@ def check_install_sanity
raise
end
- def git_etc_preinstall
- return unless quiet_system 'git', '--version'
-
- etc = HOMEBREW_PREFIX+'etc'
- etc.cd do
- quiet_system 'git', 'init' unless (etc+'.git').directory?
- quiet_system 'git', 'checkout', '-B', "#{f.name}-preinsta... | true |
Other | Homebrew | brew | a28b57d3fb84a618d07cb636c387423d1ebbb850.json | git-etc: remove all code.
I've given up on this; too many edge cases.
If someone else wants to pick it up then send me a message and I'll walk
you through the approach. | Library/Homebrew/install_renamed.rb | @@ -15,7 +15,7 @@ def cp_path_sub pattern, replacement
private
def append_default_if_different src, dst
- if File.file? dst and !FileUtils.identical?(src, dst) and !ENV['HOMEBREW_GIT_ETC']
+ if File.file? dst and !FileUtils.identical?(src, dst)
dst += ".default"
end
dst | true |
Other | Homebrew | brew | 4c0fd46329a3180d079f34377584ccd5568b99aa.json | Formula: add tap? method. | Library/Homebrew/formula.rb | @@ -437,6 +437,10 @@ def self.factory name
Formulary.factory name
end
+ def tap?
+ !!path.realpath.to_s.match(HOMEBREW_TAP_DIR_REGEX)
+ end
+
def tap
if path.realpath.to_s =~ HOMEBREW_TAP_DIR_REGEX
"#$1/#$2" | false |
Other | Homebrew | brew | 202c6ef8262ca95bc5362bb431377c14847a3679.json | global: add more tap regexes. | Library/Homebrew/cmd/info.rb | @@ -67,7 +67,7 @@ def github_fork
def github_info f
path = f.path.realpath
- if path.to_s =~ %r{#{HOMEBREW_REPOSITORY}/Library/Taps/(\w+)-(\w+)/(.*)}
+ if path.to_s =~ HOMEBREW_TAP_PATH_REGEX
user = $1
repo = "homebrew-#$2"
path = $3 | true |
Other | Homebrew | brew | 202c6ef8262ca95bc5362bb431377c14847a3679.json | global: add more tap regexes. | Library/Homebrew/cmd/versions.rb | @@ -64,7 +64,7 @@ def pretty_relative_path
private
def repository
@repository ||= begin
- if path.realpath.to_s =~ %r{#{HOMEBREW_REPOSITORY}/Library/Taps/(\w+)-(\w+)}
+ if path.realpath.to_s =~ HOMEBREW_TAP_DIR_REGEX
HOMEBREW_REPOSITORY/"Library/Taps/#$1-#$2"
else
... | true |
Other | Homebrew | brew | 202c6ef8262ca95bc5362bb431377c14847a3679.json | global: add more tap regexes. | Library/Homebrew/formula.rb | @@ -438,7 +438,7 @@ def self.factory name
end
def tap
- if path.realpath.to_s =~ %r{#{HOMEBREW_REPOSITORY}/Library/Taps/(\w+)-(\w+)}
+ if path.realpath.to_s =~ HOMEBREW_TAP_DIR_REGEX
"#$1/#$2"
elsif core_formula?
"mxcl/master" | true |
Other | Homebrew | brew | 202c6ef8262ca95bc5362bb431377c14847a3679.json | global: add more tap regexes. | Library/Homebrew/global.rb | @@ -84,6 +84,9 @@ def mkpath
HOMEBREW_CURL_ARGS = '-f#LA'
HOMEBREW_TAP_FORMULA_REGEX = %r{^(\w+)/(\w+)/([^/]+)$}
+HOMEBREW_TAP_DIR_REGEX = %r{#{HOMEBREW_REPOSITORY}/Library/Taps/(\w+)-(\w+)}
+HOMEBREW_TAP_PATH_REGEX = Regexp.new(HOMEBREW_TAP_DIR_REGEX.source \
+ + %r{/(.*)}.sourc... | true |
Other | Homebrew | brew | a252c90a0d49cae0889a9a540a3c220c53340425.json | doctor: ensure git --version actually matches.
Closes Homebrew/homebrew#23791. | Library/Homebrew/cmd/doctor.rb | @@ -723,7 +723,7 @@ def __check_git_version
# https://help.github.com/articles/https-cloning-errors
`git --version`.chomp =~ /git version ((?:\d+\.?)+)/
- if Version.new($1) < Version.new("1.7.10") then <<-EOS.undent
+ if $1 and Version.new($1) < Version.new("1.7.10") then <<-EOS.undent
An outdated versi... | false |
Other | Homebrew | brew | a5b2814770f4c1a564d73b3a30ca40b86f99711a.json | Use curl to download list of Apache mirrors
Ruby's OpenURI library is somewhat broken under 1.8 and chokes on
otherwise valid values of http(s)_proxy. Use curl to get the mirror list
instead.
Fixes Homebrew/homebrew#23708. | Library/Homebrew/download_strategy.rb | @@ -1,4 +1,3 @@
-require 'open-uri'
require 'utils/json'
require 'erb'
@@ -208,8 +207,26 @@ def ext
# Detect and download from Apache Mirror
class CurlApacheMirrorDownloadStrategy < CurlDownloadStrategy
+ def apache_mirrors
+ rd, wr = IO.pipe
+ buf = ""
+
+ pid = fork do
+ rd.close
+ $stdout... | false |
Other | Homebrew | brew | d9f327083bba063450be8f8aa44e2e7a27c1b5d4.json | add unlink apps to manpage and completion | Library/Contributions/brew_bash_completion.sh | @@ -414,6 +414,7 @@ _brew ()
home
info abv
install
+ linkapps
link ln
list ls
log
@@ -428,6 +429,7 @@ _brew ()
test
uninstall remove rm
unlink
+ unlinkapps
unpin
... | true |
Other | Homebrew | brew | d9f327083bba063450be8f8aa44e2e7a27c1b5d4.json | add unlink apps to manpage and completion | Library/Contributions/manpages/brew.1.md | @@ -224,7 +224,7 @@ Note that these flags should only appear after a command.
Find all installed formulae that have compiled `.app`-style "application"
packages for OS X, and symlink those apps into `/Applications`, allowing
for easier access.
-
+
If provided, `--local` will move them into the u... | true |
Other | Homebrew | brew | d9f327083bba063450be8f8aa44e2e7a27c1b5d4.json | add unlink apps to manpage and completion | share/man/man1/brew.1 | @@ -353,6 +353,10 @@ Example: \fBbrew install jruby && brew test jruby\fR
Remove symlinks for \fIformula\fR from the Homebrew prefix\. This can be useful for temporarily disabling a formula: \fBbrew unlink foo && commands && brew link foo\fR\.
.
.TP
+\fBunlinkapps [\-\-local]\fR
+Removes links created by \fBbrew lin... | true |
Other | Homebrew | brew | 076df32be3f3e55e5d440401caeef74066d17b7e.json | Add ant dependency
Closes Homebrew/homebrew#23484.
Closes Homebrew/homebrew#23494.
Closes Homebrew/homebrew#23681. | Library/Homebrew/dependency_collector.rb | @@ -109,6 +109,7 @@ def parse_symbol_spec(spec, tags)
when :python3 then PythonDependency.new("3", tags)
# Tiger's ld is too old to properly link some software
when :ld64 then LD64Dependency.new if MacOS.version < :leopard
+ when :ant then ant_dep(spec, tags)
else
raise "Un... | false |
Other | Homebrew | brew | 64b472788acf8fe5087fabea3efa23036b3efcc2.json | Mac.prefer_64_bit?: fix conditional for 10.4 | Library/Homebrew/os/mac.rb | @@ -209,7 +209,7 @@ def macports_or_fink
end
def prefer_64_bit?
- Hardware::CPU.is_64_bit? and version != :leopard
+ Hardware::CPU.is_64_bit? and version > :leopard
end
def preferred_arch | false |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.